package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFIG4Response {

    @Parameter(name = "CastkaUcetKredit")
    Double castkaUcetKredit();

    @Parameter(name = "CastkaUctuDebet")
    Double castkaUctuDebet();

    @Parameter(name = "DatumZadaniTransakce")
    java.util.Date datumZadaniTransakce();

    @Parameter(name = "DiagnosticMessage")
    String diagnosticMessage();

    @Parameter(name = "ErrCode")
    String errCode();

    @Parameter(name = "IDTransakce")
    String iDTransakce();

    @Parameter(name = "KanalTransakce")
    String kanalTransakce();

    @Parameter(name = "ResCode")
    String resCode();

    @Parameter(name = "WarningMessage")
    String warningMessage();

}